: Predict gender from name

API: genderize.io:genderize.io
Endpoint: /
Response format: text/plain
Auth: unknown
Method: GET
Last Status: 200
Latency: 723ms

Description

Returns gender prediction for a given first name. Supports both single name and batch lookups (up to 10 names). Optional country scoping available.

Parameters (4)

apikey (string, query, optional)

API key for authenticated requests (required for paid tiers)

country_id (string, query, optional)

ISO 3166-1 alpha-2 country code to scope prediction to a specific country

Constraints: {'pattern': '^[A-Z]{2}$'}

name (string, query, optional)

First name to predict gender for. The API will attempt to parse full names and extract the first name.

name[] (array, query, optional)

Array of names for batch lookup (max 10). Each name counts as a separate request.

Examples (2)

Predict gender from name openapi-spec
curl 'https://api.genderize.io/?name=john&name%5B%5D=%5B%27alice%27%2C+%27bob%27%5D&country_id=US'
import requests

resp = requests.get(
    "https://api.genderize.io/",
    params={
        'name': 'john',
        'name[]': "['alice', 'bob']",
        'country_id': 'US',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("genderize")
result = api.fetch("", name="john", name[]="['alice', 'bob']", country_id="US")

for item in result:
    print(item)
const resp = await fetch("https://api.genderize.io/?name=john&name%5B%5D=%5B%27alice%27%2C+%27bob%27%5D&country_id=US");
const data = await resp.json();
Predict gender from name probe-gate
curl 'https://api.genderize.io/?name=john&name%5B%5D=%5B%27alice%27%2C+%27bob%27%5D&country_id=US'
import requests

resp = requests.get(
    "https://api.genderize.io/",
    params={
        'name': 'john',
        'name[]': "['alice', 'bob']",
        'country_id': 'US',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("genderize")
result = api.fetch("", name="john", name[]="['alice', 'bob']", country_id="US")

for item in result:
    print(item)
const resp = await fetch("https://api.genderize.io/?name=john&name%5B%5D=%5B%27alice%27%2C+%27bob%27%5D&country_id=US");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:45:04.414026 200 723ms
2026-04-16 04:09:32.776439 200 614ms
2026-04-16 00:08:06.775598 200 655ms
2026-04-15 01:37:48.063102 200 517ms
2026-04-15 01:28:32.527778 200 567ms
2026-04-14 02:37:06.371543 200 820ms
2026-04-14 00:57:18.351348 200 627ms
2026-04-12 16:18:56.441521 200 532ms
2026-04-12 13:16:19.002570 200 754ms
2026-04-10 02:49:38.834768 200 1623ms
2026-04-10 01:37:25.827996 200 413ms
2026-04-09 02:49:40.954500 200 631ms
2026-04-09 02:32:07.983220 200 517ms
2026-03-27T11:43:33.287132 200 1120ms